#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sqlite3, sys, os.path, codecs, re

if len(sys.argv) > 1:
    filename = sys.argv[1]
    if os.path.exists(filename):
        print "Chargement du fichier %s" % filename
        conn = sqlite3.connect(filename)
        c = conn.cursor()
        c.execute("SELECT json FROM tweets")
        f = codecs.open("%s.txt" % filename, mode='w', encoding='utf-8')
        for r in c:
            txt = ''
            t = re.split("&#([0-9]+);",r[0])
            for i in range(len(t)):
                txt += ( ( '\\u' + hex(int(t[i])).replace('0x','').rjust(4,'0') ) if i % 2 else t[i] )
            f.write(u'%s\n' % txt)
        f.close()
        print "Le fichier %s.txt a ete cree" % filename
    else:
        print "Le fichier n'existe pas"
else:
    print "Merci de preciser le nom du fichier"